## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FormatterToText Class Reference

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces simple text only. More...

`#include <FormatterToText.hpp>`

Inheritance diagram for FormatterToText

Collaboration diagram for FormatterToText:

List of all members.

## Public Methods

- FormatterToText ()
    FormatterToText instance constructor.
- FormatterToText ( Writer& writer, bool normalizeLinefeed = true, bool handleIgnorableWhitespace = true)
    FormatterToText instance constructor. More...
- FormatterToText ( Writer& writer, const XalanDOMString& encoding, bool normalizeLinefeed = true, bool handleIgnorableWhitespace = true)
    FormatterToText instance constructor. More...
- virtual ~FormatterToText ()
- Writer* getWriter () const
- void setWriter (Writer* theWriter)
- void clearEncoding ()
- const XalanDOMString& getEncoding () const
- void setEncoding (const XalanDOMString& theEncoding)
- XalanDOMChar getMaxCharacter () const
- void setMaxCharacter (XalanDOMChar theMaxChar)
- bool getNormalizeLinefeed () const
- void setNormalizeLinefeed (bool fNormalize)
- bool getHandleIgnorableWhitespace () const
- void setHandleIgnorableWhitespace (bool fHandle)
- virtual void setDocumentLocator (const LocatorType* const locator)
- virtual void startDocument ()
- virtual void endDocument ()
- virtual void startElement ( const XMLCh* const name, AttributeListType& attrs)
- virtual void endElement (const XMLCh* const name)
- virtual void characters ( const XMLCh* const chars, const unsigned int length)
- virtual void charactersRaw ( const XMLCh* const chars, const unsigned int length)
- virtual void entityReference (const XMLCh* const name)
    Receive notification of a entityReference. More...
- virtual void ignorableWhitespace ( const XMLCh* const chars, const unsigned int length)
- virtual void processingInstruction ( const XMLCh* const target, const XMLCh* const data)
- virtual void resetDocument ()
- virtual void comment (const XMLCh* const data)
    Called when a Comment is to be constructed. More...
- virtual void cdata ( const XMLCh* const ch, const unsigned int length)

## Detailed Description

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and produces simple text only.

## Constructor & Destructor Documentation

FormatterToText::FormatterToText ( | )

FormatterToText instance constructor.

FormatterToText::FormatterToText ( | Writer & writer,
| bool normalizeLinefeed = true,
| bool handleIgnorableWhitespace = true )

FormatterToText instance constructor.

Parameters:

  writer | writer for output
  normalizeLindefeed | Normalize or \r (on certain platforms).
  handleIgnorableWhitespace | If true ignorableWhitespace() will write data to the Writer

FormatterToText::FormatterToText ( | Writer & writer,
| const XalanDOMString & encoding,
| bool normalizeLinefeed = true,
| bool handleIgnorableWhitespace = true )

FormatterToText instance constructor.

Parameters:

  writer | writer for output
  encoding | character encoding for the writer
  normalizeLindefeed | Normalize or \r on certain platforms.
  handleIgnorableWhitespace | If true ignorableWhitespace() will write data to the Writer

virtual FormatterToText::~FormatterToText ( | )`[virtual]`

## Member Function Documentation

virtual void FormatterToText::cdata ( | const XMLCh *const ch,
| const unsigned int length )`[virtual]`

virtual void FormatterToText::characters ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToText::charactersRaw ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

void FormatterToText::clearEncoding ( | )

virtual void FormatterToText::comment ( | const XMLCh *const data )`[virtual]`

Called when a Comment is to be constructed.

Parameters:

  data | pointer to comment data

Exceptions:

  SAXException |

Reimplemented from FormatterListener.

virtual void FormatterToText::endDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToText::endElement ( | const XMLCh *const name )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToText::entityReference ( | const XMLCh *const name )`[virtual]`

Receive notification of a entityReference.

Parameters:

  data | pointer to characters from the XML document

Exceptions:

  SAXException |

Reimplemented from FormatterListener.

const XalanDOMString & FormatterToText::getEncoding ( | ) const`[virtual]`

Reimplemented from FormatterListener.

bool FormatterToText::getHandleIgnorableWhitespace ( | ) const`[]`

XalanDOMChar FormatterToText::getMaxCharacter ( | ) const`[]`

bool FormatterToText::getNormalizeLinefeed ( | ) const`[]`

Writer * FormatterToText::getWriter ( | ) const`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToText::ignorableWhitespace ( | const XMLCh *const chars,
| const unsigned int length )`[virtual]`

virtual void FormatterToText::processingInstruction ( | const XMLCh *const target,
| const XMLCh *const data )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToText::resetDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToText::setDocumentLocator ( | const LocatorType *const locator )`[virtual]`

Reimplemented from FormatterListener.

void FormatterToText::setEncoding ( | const XalanDOMString & theEncoding )`[]`

void FormatterToText::setHandleIgnorableWhitespace ( | bool fHandle )`[]`

void FormatterToText::setMaxCharacter ( | XalanDOMChar theMaxChar )`[]`

void FormatterToText::setNormalizeLinefeed ( | bool fNormalize )`[]`

void FormatterToText::setWriter ( | Writer * theWriter )`[]`

virtual void FormatterToText::startDocument ( | )`[virtual]`

Reimplemented from FormatterListener.

virtual void FormatterToText::startElement ( | const XMLCh *const name,
| AttributeListType & attrs )`[virtual]`

Reimplemented from FormatterListener.

The documentation for this class was generated from the following file:

- FormatterToText.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.